# ApplyAutoSnapshotPolicy

## 1. 接口描述

本接口(ApplyAutoSnapshotPolicy)用于云硬盘添加到指定的自动快照策略。

{% hint style="info" %}
**注意事项**

* 如果云盘已经关联该自动快照策略，则重复关联不会报错。如果云盘已经关联自动快照策略，将会报`INVALID_DISK_AUTO_SNAPSHOT_POLICY_EXIST`错误。且本次操作立刻失败。
* 绑定的云盘如果在自动快照执行时，状态不可用，则不会自动创建快照。
* 一个云盘只能被一个自动快照策略关联。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称                 | 必选 | 类型              | 描述          |
| -------------------- | -- | --------------- | ----------- |
| autoSnapshotPolicyId | 是  | String          | 自动快照策略ID。   |
| diskIds              | 是  | Array of String | 要添加的磁盘ID列表。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 向自动快照策略添加云盘。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ApplyAutoSnapshotPolicy
<Common Request Params>

Request：
{
  "autoSnapshotPolicyId": "<autoSnapshotPolicyId>",
  "diskIds": [
    "<diskId>"
  ]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                          | 说明            |
| ------- | -------------------------------------------- | ------------- |
| 404     | INVALID\_AUTO\_SNAPSHOT\_POLICY\_NOT\_FOUND  | 自动快照策略不存在。    |
| 404     | INVALID\_AUTO\_SNAPSHOT\_ZONE\_MISMATCH      | 策略和云盘的可用区不一致。 |
| 404     | INVALID\_DISK\_AUTO\_SNAPSHOT\_POLICY\_EXIST | 云盘关联了其他快照策略。  |
| 404     | INVALID\_DISK\_NOT\_FOUND                    | 云盘不存在。        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk-snapshot/applyautosnapshotpolicy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
